Skip to content
On this page

Create KCCA Trading Licence Verification Request ​

Accepts requests for creating KCCA licence Verification Request.

Endpoint ​

https://kcca-api-test.streamline.laboremus.ug/api/verifylicense
https://kcca-api-test.streamline.laboremus.ug/api/verifylicense

Request ​

Request Type : POST ​

Authorization ​

All requests must be authenticated using OAuth 2.0 Client Credentials. Follow the steps in the Authentication section to obtain an access token.

Header Parameters ​

NameTypeRequiredDescription
Bearerstring(JWT Token)yesAn access token

Content type

application/json

Request Body ​

NameTypeRequiredDescription
applicationReferencestring or nullnoThe reference of a given application.

Example Request Body ​

json
{
	"applicationReference": "string"
}
{
	"applicationReference": "string"
}

Response ​

Content type

application/json

Response Values ​

NameTypeDescription
idstring (uuid)A Guid / uuid / A set of unique Alphanumerical characters assigned to this verification request.
requestUristring or nullThe URL to find the request
statusstring(Enum : Pending,Successful,Failed)Status of the request sent to verify

Example Response Body ​

json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "requestUri": "string",
  "status": "Pending"
}
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "requestUri": "string",
  "status": "Pending"
}

Error Response ​

400 Bad Request

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

401 Unauthorized

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

403 Forbidden

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

404 Not Found

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

500 Server Error

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

Error Codes ​

When working with our KCCA Trading Licence Verifcation API, you'll encounter errors shown below. Each type of error comes with an appropriate code and suggestion to aid in troubleshooting.

All errors share the same basic response format.code indicating the error code,message providing an overview of the error, description to show more information about the error, suggestion to aid in troubleshooting and type describing the error type

CodeMessageDescriptionSuggestionType
S0001FAILED_TO_VERIFY_KCCA_LICENCE_NUMBERFailed to verify KCCA Licence NumberSomething went wrong, Please contact support at email support@laboremus.ugFatal
S0002INVALID_KCCA_LICENCE_NUMBERThe KCCA Licence number provided is invalid.The KCCA Licence Number provided is invalid. Please check and try again.Data
S0003INVALID_CREDENTIALSThe connection credentials provided are invalid.Please check your credentials or contact support at email support@laboremus.ugAuthentication

Tech Served Right